Subject: Problem area, sandy soil. Help, please?

From: [email-masked] (Glenna Mileson)
Date: Mon, 27 Mar 1995 18:46:31 GMT

I am seeking planting suggestions for my "problem" area.  It's a slope, sandy 
soil over a drainfield.  Good morning and mid-day sun.  Size is about 40 ft x 
80 ft, so something that grows fast and isn't very expensive. Morning glories 
and grass cover the area now. I'm in the Seattle area.  Please e-mail me at 
[email-masked]   Thanks so much!